Page MenuHomePhabricator

basic prometheus monitoring for PoolCounter
Open, MediumPublic

Description

A simple exporter written in Python that connects, issues the STATS FULL command (see https://www.mediawiki.org/wiki/PoolCounter#Testing ), and makes all of those available as metrics, would be a really good start. Oh, and a Grafana dashboard.

Event Timeline

CDanis created this task.Nov 5 2019, 2:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2019, 2:05 PM
CDanis added a subscriber: RLazarus.Nov 5 2019, 2:08 PM
MoritzMuehlenhoff triaged this task as Medium priority.Nov 6 2019, 8:34 AM
RLazarus claimed this task.Nov 6 2019, 8:59 PM

Change 549191 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[mediawiki/services/poolcounter@master] Arithmetic fix for the uptime string in stats.

https://gerrit.wikimedia.org/r/549191

Change 549191 merged by jenkins-bot:
[mediawiki/services/poolcounter@master] Arithmetic fix for the uptime string in stats.

https://gerrit.wikimedia.org/r/549191

fgiunchedi moved this task from Inbox to Radar on the observability board.Nov 25 2019, 1:48 PM

Change 552875 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] poolcounter: Install and run poolcounter-prometheus-exporter alongside poolcounter.

https://gerrit.wikimedia.org/r/552875

Change 552875 merged by RLazarus:
[operations/puppet@production] poolcounter: Install and run the prometheus exporter alongside poolcounter.

https://gerrit.wikimedia.org/r/552875

Change 552896 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] poolcounter: Specify port 9106 for the exporter

https://gerrit.wikimedia.org/r/552896

Change 552896 merged by RLazarus:
[operations/puppet@production] poolcounter: Specify port 9106 for the exporter

https://gerrit.wikimedia.org/r/552896

Change 552898 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] poolcounter: Set restart => true for the exporter service.

https://gerrit.wikimedia.org/r/552898

Change 552898 merged by RLazarus:
[operations/puppet@production] poolcounter: Set restart => true for the exporter service.

https://gerrit.wikimedia.org/r/552898

Change 552904 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] poolcounter: Add ferm rule for the exporter; move it to profile::poolcounter.

https://gerrit.wikimedia.org/r/552904

Change 552904 merged by RLazarus:
[operations/puppet@production] poolcounter: Add ferm rule for the exporter; move it to profile::poolcounter.

https://gerrit.wikimedia.org/r/552904

Change 553137 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] poolcounter: Listen for prometheus on both IPv4 and IPv6.

https://gerrit.wikimedia.org/r/553137

Change 553137 merged by RLazarus:
[operations/puppet@production] poolcounter: Listen for prometheus on both IPv4 and IPv6.

https://gerrit.wikimedia.org/r/553137

Change 553168 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] prometheus: Scrape the poolcounter exporters.

https://gerrit.wikimedia.org/r/553168

Change 553168 merged by RLazarus:
[operations/puppet@production] prometheus: Scrape the poolcounter exporters.

https://gerrit.wikimedia.org/r/553168

Change 553203 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] prometheus: Specify metrics_path for the new poolcounter exporter, whoops.

https://gerrit.wikimedia.org/r/553203

Change 553203 merged by RLazarus:
[operations/puppet@production] prometheus: Specify metrics_path for the new poolcounter exporter, whoops.

https://gerrit.wikimedia.org/r/553203

Joe moved this task from Backlog to Doing on the serviceops board.Fri, Jan 17, 8:41 AM